@echo off

::::
:: Visual Studio
::::

:: The Start-Menu way to get a VisualStudio terminal open is:
::
::   %comspec% /k "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvars32.bat"
::
:: where cwd is:
::   "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\"
::
:: To work within an existing terminal window, use 'call' instead:
::
pushd "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\"
call "VC\Auxiliary\Build\vcvars32.bat"
popd

echo Environment for Visual Studio 32-bit Compiler setup

::::
:: Ant (run as a developer)
::::

:: For 'ant prepare' to work, now need wget (along with wgetrc file) on PATH
:: In 'local/bin' folder there is an appropriate binary for this (actually
:: an external SVN reference to Greenstone's winbin support tools area)

echo Adding wget with its wgetrc to PATH for devel
pushd bin
set PATH=%CD%;%PATH%
popd

call gs3-setup.bat


